<script>
    var requireJS = [];
    loadJS(requireJS, 'js/common.js');
    loadJS(requireJS, 'js/views/events-tickets.js');
</script>


<div class="page-title">
    <div class="title_left">
        <h4><a th:href="'/#admin/events/view/' + ${event.id}" title="Volver al listado"><i class="fa fa-arrow-circle-o-left"></i> Volver</a></h4>
    </div>
</div>
<div class="clearfix"></div>


<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <span th:text="${event.shortName}"></span>
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <div class="col-md-1" th:if="${event.status == 'created'}">
                        <form th:action="'/admin/events/tickets/' + ${event.id}" method="POST">                            
                            <button type="submit" class="btn btn-success" th:text="#{generate}">Generar</button>
                        </form>
                    </div>
                    <div class="col-md-11">
                        <ul>
                            <li>
                                <span th:text="#{numberOfTickets} + ':'">Cantidad de tickets:</span>&nbsp;<span th:text="${event.ticketNumbersFrom}"></span>
                            </li>                            
                        </ul>        
                    </div>

                    <div class="col-md-12 form-inline">
                        <div class="x_panel">
                            <div class="x_title">
                                <h6 th:text="#{addTickets}">
                                    Agregar entradas
                                </h6>
                                <div class="clearfix"></div>
                            </div>
                            <div class="x_content">
                                <form th:action="'/admin/events/tickets/addmore/' + ${event.id}" method="POST">                            
                                    <input type="number" name="add-tickets-count" id="add-tickets-count"/>
                                    <button type="submit" class="btn btn-success" th:text="#{append}">Añadir</button>
                                </form>
                            </div>
                        </div>
                    </div>


                    <div class="col-md-12 form-inline">

                        <div class="form-group">
                            <input class="form-control" type="search" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" id="q" name="q"/>
                        </div>
                        <div class="form-group">
                            <span th:text="#{state-}">Estado:</span>
                            <select class="form-control" id="status" name="status">
                                <option th:selected="${status == null || (status != null && status == 'all')}" value="all" th:text="#{all}">Todos</option>
                                <option th:selected="${status == 'created'}" value="created" th:text="#{created}">Creado</option>
                                <option th:selected="${status == 'assigned'}" value="assigned" th:text="#{assigned}">Asignado</option>
                                <option th:selected="${status == 'invited'}" value="invited" th:text="#{invited}">Invitado</option>
                                <option th:selected="${status == 'visited'}" value="visited" th:text="#{visited}">Visitado</option>
                                <option th:selected="${status == 'reclaimed'}" value="reclaimed" th:text="#{reclaimed}">Registrado</option>
                                <option th:selected="${status == 'completed'}" value="completed" th:text="#{completed}">Completado</option>
                            </select>
                        </div>                                
                        <div class="form-group">
                            <button class="btn btn-primary fa fa-search" id="search-button" style="margin-bottom: 0px !important;"></button>
                        </div>

                    </div>

                </div>
            </div>

            <div class="row">
                <div class="x_panel">
                    <div class="x_title">
                        <h2 th:text="#{ticketsGenerated}">Tickets generados</h2>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_panel">
                        <div class="table-responsive-tall">
                            <table class="table table-condensed table-striped jambo_table">
                                <thead>
                                    <tr class="headings">
                                        <th>#</th>
                                        <th th:text="#{date}"></th>
                                        <th th:text="#{ticketNumber2}">Número de ticket</th>
                                        <th th:text="#{seatNumber}">Número de asiento</th>
                                        <th th:text="#{name}">Nombre</th>
                                        <th th:text="#{state-}">Estado</th>                                        
                                        <th>&nbsp;</th>                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr th:each="item : ${page.content}">                                
                                        <td th:text="${item.id}"></td>
                                        <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                        <td th:text="${item.ticketNumber}"></td>
                                        <td th:text="${item.seatNumber}"></td>
                                        <td th:text="${item.getFullName()}"></td>
                                        <td>
                                            <div th:switch="${item.status}">
                                                <button th:case="assigned" type="button" class="btn btn-info btn-xs" th:text="#{${item.status}}">estado</button>
                                                <button th:case="invited" type="button" class="btn btn-inverse btn-xs" th:text="#{${item.status}}">estado</button>
                                                <button th:case="visited" type="button" class="btn btn-warning btn-xs" th:text="#{${item.status}}">estado</button>
                                                <button th:case="reclaimed" type="button" class="btn btn-success btn-xs" th:text="#{${item.status}}">estado</button>
                                                <button th:case="completed" type="button" class="btn btn-success btn-xs" th:text="#{${item.status}}">estado</button>
                                            </div>
                                        </td>                                        
                                        <td class="text-center">
                                            <div th:if="${item.status != 'completed'}">
                                                <a th:href="'eventos/' + ${item.inviteCode}" class="btn btn-primary btn-sm" target="_blank">
                                                    <i class="fa fa-link"></i>
                                                </a>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div th:replace="frags/pagination :: paginationbar"></div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2 class="h4" th:text="#{seatGeneration}">Generación de Asientos</h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li>
                        <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>                    
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">            
                <h6 th:text="#{seatPool}">Pool de asientos, permite generar los asientos en distintos bloques para poder rastrearlos, eliminar por bloques, etc.</h6>
                <form class="form-horizontal form-label-left" id="form-seats">
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" th:text="#{name}">Nombre:</label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input type="text" class="form-control" name="poolName">
                            <small class="text-muted" th:text="#{shortNameNotVisibleToClient}">Nombre corto, solo para identificación interna, no visible para el cliente</small>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" th:text="#{numberOfSeats} + ':'">Cantidad de asientos:</label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input type="text" class="form-control" name="poolSeatsQty">
                            <small class="text-muted" th:text="#{numberOfSeats} + ':'">Cantidad de asientos asignados a este bloque</small>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" th:text="#{pattern} + ':'">Patron:</label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input type="text" class="form-control" name="poolPattern"/>
                            <small class="text-muted" th:utext="#{patternToGenerateTheNumbering}">
                                Patrón para generar la numeracion de los asientos, ej: para 100 asientos<br/>
                                AA-### genera (AA-001,AA-002,AA-003,AA-004.....AA-100)<br/>
                                C###A genera (C001A,C002A,C003A,C004A.....C100A)<br/>
                                F1-### genera (F1001,F1002,F1003,F1004.....F1100)<br/>
                                1-#### genera (10001,10002,10003,10004.....10100)<br/>                            
                                La cantidad de ceros a añadir es en base a la cantidad de caracteres #
                            </small>
                        </div>
                    </div>                
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" th:text="#{isPrivate}">¿Es privado?:</label>
                        <div class="col-md-1 col-sm-1 col-xs-1">
                            <input type="checkbox" class="form-control" name="poolPrivate"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <small class="text-muted" th:text="#{ifPrivateOnlyAdmin}">Si es privado, solo el admin puede asignar estos asientos</small>
                        </div>                        
                    </div>
                    <div class="form-group">
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                            <button class="btn btn-success btne-save" th:attr="data-id=${event.id},data-section='seats'" th:text="#{btnSave}">Guardar</button>
                        </div>
                    </div>

                    <table class="table table-bordered" id="table-pools">
                        <thead>
                            <tr>
                                <th>Pool</th>
                                <th th:text="#{numberOfSeats}">Cantidad de asientos</th>
                                <th th:text="#{pattern}">Patrón</th>
                                <th th:text="#{private}">Privado</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="pool : ${pools}" th:id="'pool-' + ${pool.id}">
                                <td th:text="${pool.name}">&nbsp;</td>
                                <td th:text="${pool.seatsQuantity}">&nbsp;</td>
                                <td th:text="${pool.pattern}">&nbsp;</td>
                                <td th:text="${pool.privatePool}">&nbsp;</td>
                                <td>
                                    <i th:attr="data-id=${pool.id}" class="fa fa-remove action-button" id="delete-pool"></i>
                                </td>
                            </tr>                    
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div>
</div>